_global.PhotoXMLModel = function() {
	AsBroadcaster.initialize(this);
	//
	// Inheritance
	this.__proto__ = new XML();
	super();
	//
	// Private Property
	var bigPhotoA = new Array();
	var smallPhotoA = new Array();
	// Public Property
	this.ignoreWhite = true;
	//
	// Event Handler
	this.onLoad = function() {
		var xmlA = this.firstChild.childNodes;
		var xmlALen = xmlA.length;
		for (var i = 0; i<xmlALen; i++) {
			bigPhotoA.push(xmlA[i].attributes.big);
			smallPhotoA.push(xmlA[i].attributes.small);
		}
		this.broadcastMessage("onPhotoListLoaded");
	};
	//
	// Public Method
	this.getPhotoLength = function() {
		return bigPhotoA.length;
	};
	this.getBigPhotoAt = function(i) {
		return bigPhotoA[i];
	};
	this.getSmallPhotoAt = function(i) {
		return smallPhotoA[i];
	};
};
